## com.lowagie.text.rtf
Class GenericRtfField

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.AbstractRtfField
              com.lowagie.text.rtf.GenericRtfField

All Implemented Interfaces:
  Element, MarkupAttributes, RtfField

Direct Known Subclasses:
  RtfPageNumber

public class GenericRtfField
extends AbstractRtfField
implements RtfField

This class implements a generic RtfField. This class is based on the RtfWriter-package from Mark Hall. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2.

Since:
  Mon Aug 19 14:50:39 2002
Version:
  $Id: GenericRtfField.java,v 1.17 2004/12/14 15:14:44 blowagie Exp $
Author:
  Dirk Weigenand

Field Summary
`protected String` `fieldInst` Field Initialization Stuff.
`protected String` `fieldResult` Field Result Stuff.

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`GenericRtfField(String fieldInst, String fieldResult)` public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.
`GenericRtfField(String fieldInst, String fieldResult, Font font)` public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.

Method Summary
`String` `content()` empty implementation for Chunk.
`boolean` `isAlt()` Determines whether this RtfField shall refer to an end note.
`boolean` `isDirty()` Determines whether the field was changed since the field was last updated
`boolean` `isLocked()` Determines whtether the field is locked, i.e.
`boolean` `isPrivate()` Determines whether the field is in suitable form for display.
`void` `setAlt(boolean rtfFieldIsAlt)` Determines whether this RtfField shall refer to an end note.
`void` `setDirty(boolean rtfFieldIsDirty)` Set whether a formatting change has been made since the field was last updated
`void` `setEdited(boolean rtfFieldWasEdited)` Set whether text has been added, removed from thre field result since the field was last updated.
`void` `setLocked(boolean rtfFieldIsLocked)` Set whether the field can be updated.
`void` `setPrivate(boolean rtfFieldIsPrivate)` Set whether the field is in suitable form for display.
`boolean` `wasEdited()` Determines whether text has been added, removed from the field result since the field was last updated.
`void` `write(RtfWriter writer, OutputStream out)` For Interface RtfField.
`protected void` `writeRtfFieldBegin(OutputStream out)` Write the beginning of an RtfField to the OutputStream.
`protected void` `writeRtfFieldEnd(OutputStream out)` Close the RtfField.
`void` `writeRtfFieldInitializationStuff(OutputStream out)` method for writing custom stuff to the Field Initialization Stuff part of an RtfField.
`protected void` `writeRtfFieldInstBegin(OutputStream out)` Write RtfField Initialization Stuff to OutputStream.
`protected void` `writeRtfFieldInstEnd(OutputStream out)` Write end of RtfField Initialization Stuff to OutputStream.
`protected void` `writeRtfFieldModifiers(OutputStream out)` Write the modifiers defined for a RtfField to the OutputStream.
`protected void` `writeRtfFieldResultBegin(OutputStream out)` Write beginning of RtfField Result to OutputStream.
`protected void` `writeRtfFieldResultEnd(OutputStream out)` Write end of RtfField Result to OutputStream.
`void` `writeRtfFieldResultStuff(OutputStream out)` method for writing custom stuff to the Field Result part of an RtfField.

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isEmpty, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.lowagie.text.rtf.RtfField
`write`

Field Detail

### fieldInst

    protected String fieldInst

  Field Initialization Stuff.

### fieldResult

    protected String fieldResult

  Field Result Stuff.

Constructor Detail

### GenericRtfField

    public GenericRtfField(String fieldInst,
                           String fieldResult)

  public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.

Parameters:
  `fieldInst` - data to be written into the Field Initialization Stuff part of the RtfField.
  `fieldResult` - data to be written into the Field Result part of the RtfField.

### GenericRtfField

    public GenericRtfField(String fieldInst,
                           String fieldResult,
                           Font font)

  public constructor, set the data that is to be written into the Field Initialization Stuff and Field Result parts of the RtfField.

Parameters:
  `fieldInst` - data to be written into the Field Initialization Stuff part of the RtfField.
  `fieldResult` - data to be written into the Field Result part of the RtfField.
  `font` -

Method Detail

### writeRtfFieldInitializationStuff

    public void writeRtfFieldInitializationStuff(OutputStream out)
                                          throws IOException

  method for writing custom stuff to the Field Initialization Stuff part of an RtfField.

  Specified by:
    `writeRtfFieldInitializationStuff` in class `AbstractRtfField`
  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldResultStuff

    public void writeRtfFieldResultStuff(OutputStream out)
                                  throws IOException

  method for writing custom stuff to the Field Result part of an RtfField.

  Specified by:
    `writeRtfFieldResultStuff` in class `AbstractRtfField`
  Parameters:
    `out` -
  Throws:
    `IOException`

### isLocked

    public final boolean isLocked()

  Determines whtether the field is locked, i.e. it cannot be updated.

  Returns:
    `true` iff the field cannot be updated, `false` otherwise.

### setLocked

    public final void setLocked(boolean rtfFieldIsLocked)

  Set whether the field can be updated.

  Parameters:
    `rtfFieldIsLocked` - `true` if the field cannot be updated, `false` otherwise.

### setDirty

    public final void setDirty(boolean rtfFieldIsDirty)

  Set whether a formatting change has been made since the field was last updated

  Parameters:
    `rtfFieldIsDirty` - `true` if the field was changed since the field was last updated, `false` otherwise.

### isDirty

    public final boolean isDirty()

  Determines whether the field was changed since the field was last updated

  Returns:
    `true` if the field was changed since the field was last updated, `false` otherwise.

### setEdited

    public final void setEdited(boolean rtfFieldWasEdited)

  Set whether text has been added, removed from thre field result since the field was last updated.

  Parameters:
    `rtfFieldWasEdited` - Determines whether text has been added, removed from the field result since the field was last updated (`true`, `false` otherwise..

### wasEdited

    public final boolean wasEdited()

  Determines whether text has been added, removed from the field result since the field was last updated.

  Returns:
    rtfFieldWasEdited `true` if text has been added, removed from the field result since the field was last updated, `false` otherwise.

### setPrivate

    public final void setPrivate(boolean rtfFieldIsPrivate)

  Set whether the field is in suitable form for display. I.e. it's not a field with a picture as field result

  Parameters:
    `rtfFieldIsPrivate` - Determines whether the field is in suitable form for display: `true` it can be displayed, `false` it cannot be displayed.

### isPrivate

    public final boolean isPrivate()

  Determines whether the field is in suitable form for display.

  Returns:
    whether the field is in suitable form for display: `true` yes, `false` no it cannot be displayed.

### setAlt

    public final void setAlt(boolean rtfFieldIsAlt)

  Determines whether this RtfField shall refer to an end note.

  Parameters:
    `rtfFieldIsAlt` - `true` if this RtfField shall refer to an end note, `false` otherwise

### isAlt

    public final boolean isAlt()

  Determines whether this RtfField shall refer to an end note.

  Returns:
    `true` if this RtfField shall refer to an end note, `false` otherwise.

### content

    public final String content()

  empty implementation for Chunk.

  Overrides:
    `content` in class `Chunk`
  Returns:
    an empty string

### write

    public void write(RtfWriter writer,
                      OutputStream out)
               throws IOException

  For Interface RtfField.

  Specified by:
    `write` in interface `RtfField`
  Parameters:
    `writer` -
    `out` -
  Throws:
    `IOException`

### writeRtfFieldBegin

    protected final void writeRtfFieldBegin(OutputStream out)
                                     throws IOException

  Write the beginning of an RtfField to the OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldModifiers

    protected final void writeRtfFieldModifiers(OutputStream out)
                                         throws IOException

  Write the modifiers defined for a RtfField to the OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldInstBegin

    protected final void writeRtfFieldInstBegin(OutputStream out)
                                         throws IOException

  Write RtfField Initialization Stuff to OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldInstEnd

    protected final void writeRtfFieldInstEnd(OutputStream out)
                                       throws IOException

  Write end of RtfField Initialization Stuff to OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldResultBegin

    protected final void writeRtfFieldResultBegin(OutputStream out)
                                           throws IOException

  Write beginning of RtfField Result to OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldResultEnd

    protected final void writeRtfFieldResultEnd(OutputStream out)
                                         throws IOException

  Write end of RtfField Result to OutputStream.

  Parameters:
    `out` -
  Throws:
    `IOException`

### writeRtfFieldEnd

    protected final void writeRtfFieldEnd(OutputStream out)
                                   throws IOException

  Close the RtfField.

  Parameters:
    `out` -
  Throws:
    `IOException`